OpenPACE: cvc_cert_request_body_seq_st Struct Reference

OpenPACE

Public Member Functions | Data Fields
cvc_cert_request_body_seq_st Struct Reference

The body of the CV certificate request (without signature) More...

`#include <cv_cert.h>`

## Public Member Functions
| STACK_OF (CVC_DISCRETIONARY_DATA_TEMPLATE) *certificate_extensions
| Optional extensions. More...

## Data Fields
ASN1_INTEGER * | certificate_profile_identifier
| Certificate Profile of this certificate request (must be 0). More...
ASN1_UTF8STRING * | certificate_authority_reference
| Reference to certificate authority that issued this certificate request (in Latin1) More...
CVC_PUBKEY * | public_key
| Public key associated with this certificate request. More...
ASN1_UTF8STRING * | certificate_holder_reference
| Reference to the holder of this certificate request (in Latin1) More...

## Detailed Description

The body of the CV certificate request (without signature)

See also
  TR-03110 C.2.

Definition at line 262 of file cv_cert.h.

## Member Function Documentation

## ◆ STACK_OF()

cvc_cert_request_body_seq_st::STACK_OF | ( | CVC_DISCRETIONARY_DATA_TEMPLATE |  | ) |

Optional extensions.

See also
  TR-03110 C.2.5.

## Field Documentation

## ◆ certificate_authority_reference

ASN1_UTF8STRING* cvc_cert_request_body_seq_st::certificate_authority_reference

Reference to certificate authority that issued this certificate request (in Latin1)

See also
  TR-03110 C.2.2.

Definition at line 270 of file cv_cert.h.

## ◆ certificate_holder_reference

ASN1_UTF8STRING* cvc_cert_request_body_seq_st::certificate_holder_reference

Reference to the holder of this certificate request (in Latin1)

See also
  TR-03110 C.2.4.

Definition at line 278 of file cv_cert.h.

## ◆ certificate_profile_identifier

ASN1_INTEGER* cvc_cert_request_body_seq_st::certificate_profile_identifier

Certificate Profile of this certificate request (must be 0).

See also
  TR-03110 C.2.1.

Definition at line 266 of file cv_cert.h.

## ◆ public_key

CVC_PUBKEY* cvc_cert_request_body_seq_st::public_key

Public key associated with this certificate request.

See also
  TR-03110 C.2.3.

Definition at line 274 of file cv_cert.h.

The documentation for this struct was generated from the following file:

- eac/cv_cert.h